package cn.pluss.platform.wxCityInfo;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.WxCityInfo;

public interface WxCityInfoService {

    WxCityInfo queryWxCityInfo(WxCityInfo wxCityInfo);

    List<WxCityInfo> queryWxCityInfoList(WxCityInfo wxCityInfo);

    void saveWxCityInfo(WxCityInfo wxCityInfo);

    void updateWxCityInfo(WxCityInfo wxCityInfo);

    void deleteWxCityInfo(WxCityInfo wxCityInfo);

    List<WxCityInfo> queryWxCityInfoPage(Map map);

    Integer queryWxCityInfoPageCount(Map map);

    void saveWxCityInfoBatch(List<WxCityInfo> wxCityInfoList);
}

